Show / Hide Table of Contents

# Class DefinitionResult

/// Result object for PeekDefinition

##### Inheritance

System.Object
DefinitionResult

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class DefinitionResult

### Fields

| Improve this Doc View Source

#### IsErrorResult

True, if definition error occured

##### Declaration

    public bool IsErrorResult

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Locations

Location object representing the definition script file

##### Declaration

    public Location[] Locations

##### Field Value

Type | Description
--- | ---
Location[] |

### Properties

| Improve this Doc View Source

#### Message

Error message, if any

##### Declaration

    public string Message { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |